Thank you for reporting this bug. We will make it our priority to review this report.
  1. #41
    Sencha User ngrover's Avatar
    Join Date
    Jun 2007
    Location
    Calgary Alberta Canada
    Posts
    24
    Vote Rating
    3
    ngrover is on a distinguished road

      0  

    Default


    Thanks for looking at this. I just bought a license for designer but I can't use it until it works on linux amd64. None of the "workarounds" are working for me..

  2. #42
    Sencha User ngrover's Avatar
    Join Date
    Jun 2007
    Location
    Calgary Alberta Canada
    Posts
    24
    Vote Rating
    3
    ngrover is on a distinguished road

      0  

    Default


    Oddly, I just installed the 32 bit version of Ext Designer on my Ubuntu 64 bit OS and it worked.

  3. #43
    Sencha User
    Join Date
    Nov 2007
    Posts
    21
    Vote Rating
    0
    prologic is on a distinguished road

      0  

    Default


    Hi All,

    I've tried installing ExtDesigner here on my 32-bit PC
    running CRUX/Linux (Version 2.5). The installer works
    perfectly fine, but running ExtDesigner yields the following:

    Code:
    $ bin/ExtDesigner/bin/ExtDesigner
    bin/ExtDesigner.bin: /usr/lib/libcrypto.so.0.9.8: no version information available (required by bin/ExtDesigner.bin)
    bin/ExtDesigner.bin: /lib/libc.so.6: version `GLIBC_2.9' not found (required by /home/prologic/bin/ExtDesigner/lib/libQtGuiExt.so.4)
    bin/ExtDesigner.bin: /lib/libc.so.6: version `GLIBC_2.10' not found (required by /home/prologic/bin/ExtDesigner/lib/libQtNetworkExt.so.4)
    bin/ExtDesigner.bin: /lib/libc.so.6: version `GLIBC_2.9' not found (required by /home/prologic/bin/ExtDesigner/lib/libQtCoreExt.so.4)
    Relevant information that might help:

    Code:
    $ crux
    CRUX version 2.5
    
    $ uname -a
    Linux daisy 2.6.28 #2 SMP PREEMPT Wed Mar 18 21:15:36 EST 2009 i686 AMD Athlon(tm) 64 Processor 3800+ AuthenticAMD GNU/Linux
    
    $ prt-get listinst qt -v
    dbus-qt3 0.70-1
    qt3 3.3.8-3
    qt4 4.5.0-1
    
    $ prt-get listinst openssl -v
    openssl 0.9.8k-1
    cheers
    James

  4. #44
    Ext User
    Join Date
    Apr 2009
    Posts
    3
    Vote Rating
    0
    pbgc is on a distinguished road

      0  

    Default


    On April 2 we could read: "We will have a static build compatible with most distributions by the beginning of next week."
    Its April 25!!! Can we have an update on this issue?
    I bought my license on February a long time before the release and on April 25 I never saw even the first screen because ExtDesigner don't even start on my Linux System!

  5. #45
    Sencha User
    Join Date
    Jun 2009
    Posts
    45
    Vote Rating
    5
    Max_nl is on a distinguished road

      0  

    Default


    Any update on the static build?


    Quote Originally Posted by ngrover View Post
    Oddly, I just installed the 32 bit version of Ext Designer on my Ubuntu 64 bit OS and it worked.
    On one of my Kubuntu 10.04 64-bit computers it indeed does start when you download the 32-bit version.
    But the moment you try to save anything it crashes. :-(


    Code:
    Program received signal SIGSEGV, Segmentation fault.
    0xf575fb61 in free () from /lib32/libc.so.6
    (gdb) bt
    #0  0xf575fb61 in free () from /lib32/libc.so.6
    #1  0xf3aed82f in QImageData::~QImageData() () from /usr/lib32/libQtGui.so.4
    #2  0xf3aee168 in QImage::~QImage() () from /usr/lib32/libQtGui.so.4
    #3  0xf3a5cb35 in ?? () from /usr/lib32/libQtGui.so.4
    #4  0xf5b27dbc in QVariant::~QVariant() () from /home/max/ExtDesigner/lib/libQtCoreExt.so.4
    #5  0xf63d86d3 in QHeaderView::sectionSizeFromContents(int) const () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #6  0xf63d6e58 in QHeaderView::sizeHint() const () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #7  0xf640ea1f in QTreeView::updateGeometries() () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #8  0xf641b3cb in QTreeView::timerEvent(QTimerEvent*) () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #9  0xf5b1b724 in QObject::event(QEvent*) () from /home/max/ExtDesigner/lib/libQtCoreExt.so.4
    #10 0xf5ea6e11 in QWidget::event(QEvent*) () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #11 0xf6293173 in QFrame::event(QEvent*) () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #12 0xf6323c67 in QAbstractScrollArea::event(QEvent*) () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #13 0xf63cb9cc in QAbstractItemView::event(QEvent*) () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #14 0xf5e4e02c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #15 0xf5e54c0c in QApplication::notify(QObject*, QEvent*) () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #16 0xf5b0b7cb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /home/max/ExtDesigner/lib/libQtCoreExt.so.4
    #17 0xf5b394a6 in QTimerInfoList::activateTimers() () from /home/max/ExtDesigner/lib/libQtCoreExt.so.4
    #18 0xf5b36104 in timerSourceDispatch(_GSource*, int (*)(void*), void*) () from /home/max/ExtDesigner/lib/libQtCoreExt.so.4
    #19 0xf545a5e5 in g_main_context_dispatch () from /lib32/libglib-2.0.so.0
    #20 0xf545e2d8 in ?? () from /lib32/libglib-2.0.so.0
    #21 0xf545e4b8 in g_main_context_iteration () from /lib32/libglib-2.0.so.0
    #22 0xf5b35df5 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/max/ExtDesigner/lib/libQtCoreExt.so.4
    #23 0xf5f062b5 in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #24 0xf5b0a009 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/max/ExtDesigner/lib/libQtCoreExt.so.4
    #25 0xf5b0a45a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /home/max/ExtDesigner/lib/libQtCoreExt.so.4
    #26 0xf63695b3 in QDialog::exec() () from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #27 0xf637e1f6 in QFileDialog::getSaveFileName(QWidget*, QString const&, QString const&, QString const&, QString*, QFlags<QFileDialog::Option>) ()
       from /home/max/ExtDesigner/lib/libQtGuiExt.so.4
    #28 0x08058315 in Qtx::saveFile(QString) ()
    #29 0x0805eeee in Qtx::qt_metacall(QMetaObject::Call, int, void**) ()

  6. #46
    Sencha User
    Join Date
    Jun 2009
    Posts
    45
    Vote Rating
    5
    Max_nl is on a distinguished road

      0  

    Default


    Found a workaround for Kubuntu 10.04 64-bit:

    - Open ~/.config/Trolltech.conf in a text editor.
    - Remove or comment out the following line:

    4.6\libraryPath=/usr/lib/kde4/plugins
    Only works until the next reboot, after which the setting is back.


    Perhaps the Ext team can test if it is possible to alter the libraryPath upon application start-up using setLibraryPaths() ( http://doc.qt.nokia.com/4.6/qcoreapplication.html ) ?
    Not sure if this is possible before the plug-ins are loaded, but it's worth a try.

  7. #47
    Sencha User ngrover's Avatar
    Join Date
    Jun 2007
    Location
    Calgary Alberta Canada
    Posts
    24
    Vote Rating
    3
    ngrover is on a distinguished road

      0  

    Default


    Quote Originally Posted by Max_nl View Post
    Any update on the static build?
    On one of my Kubuntu 10.04 64-bit computers it indeed does start when you download the 32-bit version.
    But the moment you try to save anything it crashes. :-(

    ... strange. The 32bit version runs perfectly for me on Ubuntu 10.04 amd64. I can save and open my projects.

    The fact that people have to cross their fingers and hope for the best when running a "static" binary on Linux is pretty lame so I hope they fix this soon (I feel I can complain considering this is NOT an open source product and I have bought a license)

  8. #48
    Sencha User
    Join Date
    Jun 2009
    Posts
    45
    Vote Rating
    5
    Max_nl is on a distinguished road

      0  

    Default


    Quote Originally Posted by ngrover View Post
    ... strange. The 32bit version runs perfectly for me on Ubuntu 10.04 amd64. I can save and open my projects.
    Probably caused by the KDE QT plug-ins as well, I suspect they alter the look-and-file of those dialogs.
    Would explain why it works for you, as Ubuntu uses Gnome, and Kubuntu KDE.

  9. #49
    Sencha User
    Join Date
    Oct 2010
    Posts
    7
    Vote Rating
    0
    cojack is on a distinguished road

      0  

    Default


    Code:
    ./SenchaArchitect
    Loading libion: /home/pczekaj/.local/share/data/Sencha, Inc./Sencha Architect 2.0/libion-1.4.0.so
    Fontconfig warning: "/etc/fonts/conf.d/50-user.conf", line 9: reading configurations from ~/.fonts.conf is deprecated.
    Cannot mix incompatible Qt library (version 0x40803) with this library (version 0x40800)
    Przerwane (core dumped)
    Code:
    cat SenchaArchitect
    #!/bin/sh
    
    
    export BIN_DIR="/home/pczekaj/SenchaArchitect"
    export ROOT_DIR="/home/pczekaj/SenchaArchitect"
    export QTDIR=""
    export QT_PLUGIN_PATH=""
    export KDEDIRS=""
    export KDEDIR=""
    export LD_LIBRARY_PATH="/home/pczekaj/SenchaArchitect:/home/pczekaj/SenchaArchitect/plugins/imageformats"
    mv ~/.config/Trolltech.conf ~/.config/Trolltech.conf.bak
    cd "/home/pczekaj/SenchaArchitect"
    exec "./SenchaArchitect.bin" "$*"
    Code:
    uname -a
    Linux pczekaj-Vostro-470 3.5.0-18-generic #29-Ubuntu SMP Fri Oct 19 10:26:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
    Code:
    kded4 --version                                                                                                                                                                                                                      
    Qt: 4.8.3                                                                                                                                                                                                                                          
    KDE: 4.9.3
    KDE Daemon: $Id$
    Still this problem for me, I have 64bit version of this app.

Similar Threads

  1. Array remove and indexof incompatible with SAP EPCF
    By jemtevans in forum Ext 2.x: Help & Discussion
    Replies: 2
    Last Post: 11 Dec 2008, 2:19 PM
  2. Show Modal incompatible with flash banner on FireFox
    By puppet in forum Ext 2.x: Help & Discussion
    Replies: 1
    Last Post: 27 Sep 2008, 1:57 PM
  3. EPL 1.0 and GPL licenses are incompatible
    By sheesh-kebab in forum Community Discussion
    Replies: 18
    Last Post: 8 May 2008, 1:39 AM
  4. EditorGridPanel() and CheckboxSelectionModel() incompatible?
    By bcamp1973 in forum Ext 2.x: Help & Discussion
    Replies: 1
    Last Post: 10 Jan 2008, 9:04 PM
  5. BasicDialog incompatible with ylayout-inactive-content?
    By SteveEisner in forum Ext 1.x: Bugs
    Replies: 5
    Last Post: 6 Nov 2006, 3:10 PM

Thread Participants: 21